#!/bin/sh
#
###############################################################################
# NOM: iptable-utilisateur-1.sh
#
# COMMENTAIRE : Script iptable d'exemple d'utilisation d'une chane utilisateur
# 
# Ce script fait partie du document :
#        "Firewall et scurit d'un rseau personnel sous Linux"
#        http://olivieraj.free.fr/fr/linux/information/firewall/
#
# Auteur: Olivier ALLARD-JACQUIN (http://olivieraj.free.fr/)
# Cr le: 2003/07/01                     Dernire modification le : 2003/07/05
###############################################################################

# Suppression de toutes les chanes pr-dfinies de la table FILTER
iptables -t filter -F

# Suppression de toutes les chanes utilisateur de la table FILTER
iptables -t filter -X

# Par defaut, toute les paquets sont dtruits
iptables -t filter -P INPUT DROP
iptables -t filter -P OUTPUT DROP
iptables -t filter -P FORWARD DROP

# Cration de la chane utilisateur "LogDrop"
iptables -N LogDrop
iptables -A LogDrop -j LOG --log-prefix LogDrop
iptables -A LogDrop -j DROP


# Autorise le port 6000 sur Phoenix (phoenix0 et phoenix1), afin de supporter
# le export display pour les besoins de la confrence
# En temps normal, ces lignes DOIVENT tres supprimes!!!
iptables -t filter -A OUTPUT -p 6   --sport 6000 -j ACCEPT  ; # -p 6   <=> protocole X11
iptables -t filter -A OUTPUT -p tcp --sport 6000 -j ACCEPT  ; # -p tcp <=> protocole TCP
iptables -t filter -A INPUT  -p 6   --dport 6000 -j ACCEPT
iptables -t filter -A INPUT  -p tcp --dport 6000 -j ACCEPT

# Log et supprime les requtes ICMP des machines 192.168.0.2 et 192.168.0.3, et du rseau externe
iptables -t filter -A INPUT -i eth0 -s 192.168.0.2 -p icmp -j LogDrop
iptables -t filter -A INPUT -i eth0 -s 192.168.0.3 -p icmp -j LogDrop
iptables -t filter -A INPUT -i eth1 -p icmp -j LogDrop

# Autorise l'interface loopback  dialoguer avec elle-mme
iptables -t filter -A OUTPUT -o lo -s 0.0.0.0/0 -d 0.0.0.0/0 -j ACCEPT
iptables -t filter -A INPUT  -i lo -s 0.0.0.0/0 -d 0.0.0.0/0 -j ACCEPT

# Autorise les connexions avec le rseau 192.168.0.0/24 connect  l'interface eth0
iptables -t filter -A OUTPUT -o eth0 -s 192.168.0.0/24 -d 192.168.0.0/24 -j ACCEPT
iptables -t filter -A INPUT  -i eth0 -s 192.168.0.0/24 -d 192.168.0.0/24 -j ACCEPT
